"use strict";

var _LayerElement, _AreaObjects, _MarkerObjects;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * @name MapLayer
 * @publicName Layer
 */
var Layer = {
  /**
   * @name MapLayerfields_name
   * @publicName name
   * @type string
   */
  name: undefined,
  /**
   * @name MapLayerfields_index
   * @publicName index
   * @type number
   */
  index: undefined,
  /**
   * @name MapLayerfields_type
   * @publicName type
   * @type string
   */
  type: undefined,
  /**
   * @name MapLayerfields_elementType
   * @publicName elementType
   * @type string
   */
  elementType: undefined,
  /**
   * @name MapLayermethods_getElements
   * @publicName getElements()
   * @return Array<MapLayerElement>
   */
  getElements: function getElements() {},
  /**
   * @name MapLayermethods_clearSelection
   * @publicName clearSelection()
   */
  clearSelection: function clearSelection() {},
  /**
  * @name MapLayermethods_getDataSource
  * @publicName getDataSource()
  * @return DataSource
  */
  getDataSource: function getDataSource() {}
};
/**
 * @name MapLayerElement
 * @publicName Layer Element
 */
var LayerElement = (_LayerElement = {
  /**
   * @name MapLayerElementfields_layer
   * @publicName layer
   * @type object
   */
  layer: undefined,
  /**
  * @name MapLayerElementmethods_coordinates
  * @publicName coordinates()
  * @return object
  */
  coordinates: function coordinates() {},
  /**
  * @name MapLayerElementmethods_attribute
  * @publicName attribute(name)
  * @return any
  * @param1 name:string
  */
  attribute: function attribute() {}
}, _defineProperty(_LayerElement, "attribute", function attribute() {}), _defineProperty(_LayerElement, "selected", function selected() {}), _defineProperty(_LayerElement, "selected", function selected() {}), _defineProperty(_LayerElement, "applySettings", function applySettings() {}), _LayerElement);
/**
* @name areaObjects
* @publicName Area
* @deprecated MapLayerElement
*/
var AreaObjects = (_AreaObjects = {
  /**
  * @name areaObjectsfields_type
  * @publicName type
  * @type string
  * @deprecated MapLayerfields_type
  */
  type: null,
  /**
  * @name areaObjectsmethods_attribute
  * @publicName attribute(name)
  * @return object | Array<any> | number | string | boolean
  * @param1 name:string
  * @deprecated MapLayerElementmethods_attribute
  */
  attribute: function attribute() {},
  /**
  * @name areaObjectsmethods_selected
  * @publicName selected(state)
  * @param1 state:boolean
  * @deprecated MapLayerElementmethods_selected
  */
  selected: function selected() {}
}, _defineProperty(_AreaObjects, "selected", function selected() {}), _defineProperty(_AreaObjects, "applySettings", function applySettings() {}), _AreaObjects);

/**
* @name markerObjects
* @publicName Marker
* @deprecated MapLayerElement
*/
var MarkerObjects = (_MarkerObjects = {
  /**
  * @name markerObjectsfields_type
  * @publicName type
  * @type string
  * @deprecated MapLayerfields_type
  */
  type: null,
  /**
  * @name markerObjectsmethods_attribute
  * @publicName attribute(name)
  * @return object | Array<any> | number | string | boolean
  * @param1 name:string
  * @deprecated MapLayerElementmethods_attribute
  */
  attribute: function attribute() {},
  /**
  * @name markerObjectsmethods_selected
  * @publicName selected(state)
  * @param1 state:boolean
  * @deprecated MapLayerElementmethods_selected
  */
  selected: function selected() {}
}, _defineProperty(_MarkerObjects, "selected", function selected() {}), _defineProperty(_MarkerObjects, "applySettings", function applySettings() {}), _defineProperty(_MarkerObjects, "coordinates", function coordinates() {}), _defineProperty(_MarkerObjects, "text", null), _defineProperty(_MarkerObjects, "value", null), _defineProperty(_MarkerObjects, "values", null), _defineProperty(_MarkerObjects, "url", null), _MarkerObjects);